Freeciv-3.1: Data Fields - Variables

Freeciv-3.1

Loading...
Searching...
No Matches
Here is a list of all variables with links to the structures/unions they belong to:

### - d -

- d : MD5_CTX
- damage_reduces_bombard_rate : packet_game_info
- danger : ai_city
- danger_queue : pf_danger_map
- danger_segment : pf_danger_node
- darea : city_map_canvas
- darkness : named_sprites
- darkness_style : tileset
- data : attribute_block_s, call_me_back, callback, city_report_spec, extra_type, genhash_entry, packet_player_attribute_chunk, packet_to_handle, pf_parameter, propval, ruledit_gui, socket_packet_buffer, tai_msg, tai_req, texai_msg, texai_req, update_queue_data, widget
- data1 : Choice_dialog_button
- data2 : Choice_dialog_button
- data_copy_func : genhash
- data_free_func : genhash
- datafile : packet_scenario_info
- datafn : inputfile
- dataio_type : generate_packets.Field
- dataptr : genlist_link
- datas : notify_goto_dialog
- debug : city, civ_game, packet_edit_city, packet_edit_unit, player, unit
- def : client_option, img, multiplier, option, packet_ruleset_multiplier, server_option
- def_hp : hud_unit_combat
- def_hp_loss : hud_unit_combat
- def_pixmap : fc_sidewidget
- def_veteran : hud_unit_combat
- defai : tai_plr, texai_city, texai_plr
- default_chat_logfile : client_options
- default_cities : nation_type
- default_font_size : theme
- default_government : civ_game
- default_government_id : packet_game_info
- default_height : gui_dialog
- default_metaserver : client_options
- default_music_set_name : client_options
- default_server_host : client_options
- default_server_port : client_options
- default_sound_plugin_name : client_options
- default_sound_set_name : client_options
- default_specialist : packet_ruleset_game
- default_tileset_hex_name : client_options
- default_tileset_iso_name : client_options
- default_tileset_isohex_name : client_options
- default_tileset_name : client_options
- default_tileset_overhead_name : client_options
- default_tileset_square_name : client_options
- default_traits : civ_game
- default_user_name : client_options
- default_val : packet_server_setting_bitwise, packet_server_setting_bool, packet_server_setting_enum, packet_server_setting_int, packet_server_setting_str
- default_value : setting
- default_width : gui_dialog
- defender : hud_unit_combat
- defender_hp : packet_unit_combat_info
- defender_unit_id16 : packet_unit_combat_info
- defender_unit_id32 : packet_unit_combat_info
- defense : edit_terrain, edit_utype
- defense_bonus : extra_type, packet_ruleset_extra, packet_ruleset_terrain, terrain
- defense_mp_bonuses_pct : unit_type
- defense_strength : packet_ruleset_unit, unit_type
- defined_name : team_slot
- definitions : veteran_system
- del_preset_command : cma_dialog
- delayed_order : mr_menu
- delegate_to : player
- delegation : connection
- delete_button : tab_enabler
- delete_icon : theme_icons
- delta : generate_packets.Packet, generate_packets.Variant
- delta_x : city_map
- delta_y : city_map
- demography : civ_game
- depr_msg : signal
- depth : cargo_iter
- desc : fc_sidewidget, packet_vote_new, packetdata, voteinfo
- desc_file : tab_misc
- desc_length16 : packet_ruleset_control
- desc_length32 : packet_ruleset_control
- desc_via_file : tab_misc
- descr : audio_plugin, cma_preset, item, message
- description : client_option, nation_set, option::option_common_vtable, packet_scenario_description, races_dialog, req_vec_problem, server_option, tileset
- description_file : civ_game
- description_translated : req_vec_problem
- descriptions : packet_ruleset_nation_sets
- desired_sent : server_option
- dest : animation, caravan_result, generate_packets.Type, raw_data_out
- dest_rect : gui_layer
- dest_size : raw_data_out
- dest_tile : packet_unit_orders
- destroy : pf_map, widget
- destroy_city : functions
- destroy_extra : functions
- diagram_height : reqtree
- diagram_width : reqtree
- dialog : Diplomacy_dialog, Diplomacy_notebook, tool_value_selector
- did_apply_a_solution : req_vec_fix
- did_buy : city, packet_city_info, packet_edit_city
- did_sell : city, packet_city_info, packet_edit_city
- differ_used : generate_packets.Variant
- dimg : hud_unit_combat
- dipl : adv_data
- diplbulbcost : civ_game
- diplchance : civ_game
- diplchance_initial_odds : packet_game_info
- diplgoldcost : civ_game
- diplomacy : ai_plr, packet_game_info
- diplomacy_actions : ai_type
- diplomat_investigate : packet_city_info
- diplomat_reservations : ai_plr
- diplomat_threat : ai_city
- diplrel : universals_u
- diplstate_id : packet_player_diplstate
- diplstates : intel_dialog, player
- dir : named_sprites, trade_route, unit_order
- dir_to_here : pf_danger_node, pf_danger_node::pf_danger_pos, pf_fuel_node, pf_fuel_pos, pf_normal_node, pf_position
- dir_to_next_pos : pf_position
- direction : packet_trade_route_info
- dirs : generate_packets.Packet
- disabled : fc_sidewidget
- disappearance_chance : extra_type, packet_ruleset_extra
- disappearance_reqs : extra_type, packet_ruleset_extra
- disappearance_reqs_count : packet_ruleset_extra
- disasters : packet_game_info
- disband_action : unit_item
- disband_button : eco_report
- disband_on_settler : city_dialog
- disbanded_shields : city, packet_city_info
- discount : caravan_parameter
- disembarks : packet_ruleset_unit, unit_type
- disjunction : property_filter
- disorder : cm_result, named_sprites
- dispersion : civ_game
- dist : iter_index
- distance : ai_dip_intel, ane_expl
- distance_to_wonder_city : ai_city
- distribution : packet_client_info
- dither_tile : named_sprites
- dlg : cma_dialog, transport_radio_cb_data, unit_sel_extra_cb_data, unit_sel_unit_cb_data
- dlgcity : city_dialog, impr_item
- dlsend_prototype : generate_packets.Packet
- do_buffer_sends : socket_packet_buffer
- dock : techs_buttons, units_buttons, wl_editor
- done : advance_req_iter, advance_root_req_iter, trade_city, unit_ai
- done_moving : packet_edit_unit, packet_unit_info, unit
- down_cmd : worklist_data
- down_icon : theme_icons
- down_right_button : scroll_bar
- downtown : adv_city
- draw_borders : client_options
- draw_cities : client_options
- draw_city_buycost : client_options
- draw_city_growth : client_options
- draw_city_names : client_options
- draw_city_outlines : client_options
- draw_city_output : client_options
- draw_city_productions : client_options
- draw_city_trade_routes : client_options
- draw_coastline : client_options
- draw_focus_unit : client_options
- draw_fog_of_war : client_options
- draw_fortress_airbase : client_options
- draw_frame : widget
- draw_full_citybar : client_options
- draw_huts : client_options
- draw_irrigation : client_options
- draw_map_grid : client_options
- draw_mines : client_options
- draw_native : client_options
- draw_pollution : client_options
- draw_roads_rails : client_options
- draw_specials : client_options
- draw_terrain : client_options
- draw_unit_shields : client_options
- draw_unit_stack_size : client_options
- draw_units : client_options
- drawable : canvas
- drawing : named_sprites
- drawing_area : science_report
- ds_t : loaddata
- dsend_given : generate_packets.Packet
- dsend_prototype : generate_packets.Packet
- dst : widget, worklist_data
- dst_col : worklist_data
- dst_rate : rates_move
- dst_selection : worklist_data
- dst_view : worklist_data
- dummy : sdl2_data
- dx : iter_index
- dy : iter_index
- dying : unit